anyio==4.6.2.post1 ; python_version >= "3.10" and python_version < "4.0"
appnope==0.1.4 ; python_version >= "3.10" and python_version < "4.0" and platform_system == "Darwin"
argon2-cffi-bindings==21.2.0 ; python_version >= "3.10" and python_version < "4.0"
argon2-cffi==23.1.0 ; python_version >= "3.10" and python_version < "4.0"
arrow==1.3.0 ; python_version >= "3.10" and python_version < "4.0"
asttokens==2.4.1 ; python_version >= "3.10" and python_version < "4.0"
async-lru==2.0.4 ; python_version >= "3.10" and python_version < "4.0"
atomicwrites==1.4.1 ; python_version >= "3.10" and python_version < "4.0" and sys_platform == "win32"
babel==2.16.0 ; python_version >= "3.10" and python_version < "4.0"
bleach==6.1.0 ; python_version >= "3.10" and python_version < "4.0"
cffi==1.17.1 ; python_version >= "3.10" and python_version < "4.0"
colorama==0.4.6 ; python_version >= "3.10" and python_version < "4.0" and sys_platform == "win32"
comm==0.2.2 ; python_version >= "3.10" and python_version < "4.0"
coverage[toml]==7.6.3 ; python_version >= "3.10" and python_version < "4.0"
debugpy==1.8.7 ; python_version >= "3.10" and python_version < "4.0"
decorator==5.1.1 ; python_version >= "3.10" and python_version < "4.0"
defusedxml==0.7.1 ; python_version >= "3.10" and python_version < "4.0"
exceptiongroup==1.2.2 ; python_version >= "3.10" and python_version < "3.11"
executing==2.1.0 ; python_version >= "3.10" and python_version < "4.0"
fastjsonschema==2.20.0 ; python_version >= "3.10" and python_version < "4.0"
fqdn==1.5.1 ; python_version >= "3.10" and python_version < "4"
h11==0.14.0 ; python_version >= "3.10" and python_version < "4.0"
httpcore==1.0.6 ; python_version >= "3.10" and python_version < "4.0"
httpx==0.27.2 ; python_version >= "3.10" and python_version < "4.0"
iniconfig==2.0.0 ; python_version >= "3.10" and python_version < "4.0"
ipykernel==6.29.5 ; python_version >= "3.10" and python_version < "4.0"
ipython==8.28.0 ; python_version >= "3.10" and python_version < "4.0"
ipywidgets==8.1.5 ; python_version >= "3.10" and python_version < "4.0"
isoduration==20.11.0 ; python_version >= "3.10" and python_version < "4.0"
jedi==0.19.1 ; python_version >= "3.10" and python_version < "4.0"
jinja2==3.1.4 ; python_version >= "3.10" and python_version < "4.0"
json5==0.9.25 ; python_version >= "3.10" and python_version < "4.0"
jsonpointer==3.0.0 ; python_version >= "3.10" and python_version < "4.0"
jsonschema[format-nongpl]==4.23.0 ; python_version >= "3.10" and python_version < "4.0"
jupyter-client==8.6.3 ; python_version >= "3.10" and python_version < "4.0"
jupyter-console==6.6.3 ; python_version >= "3.10" and python_version < "4.0"
jupyter-core==5.7.2 ; python_version >= "3.10" and python_version < "4.0"
jupyter-events==0.10.0 ; python_version >= "3.10" and python_version < "4.0"
jupyter-lsp==2.2.5 ; python_version >= "3.10" and python_version < "4.0"
jupyter-server-terminals==0.5.3 ; python_version >= "3.10" and python_version < "4.0"
jupyter-server==2.14.2 ; python_version >= "3.10" and python_version < "4.0"
jupyter==1.1.1 ; python_version >= "3.10" and python_version < "4.0"
jupyterlab-pygments==0.3.0 ; python_version >= "3.10" and python_version < "4.0"
jupyterlab-server==2.27.3 ; python_version >= "3.10" and python_version < "4.0"
jupyterlab-widgets==3.0.13 ; python_version >= "3.10" and python_version < "4.0"
jupyterlab==4.2.5 ; python_version >= "3.10" and python_version < "4.0"
markupsafe==3.0.2 ; python_version >= "3.10" and python_version < "4.0"
matplotlib-inline==0.1.7 ; python_version >= "3.10" and python_version < "4.0"
mistune==3.0.2 ; python_version >= "3.10" and python_version < "4.0"
nbclient==0.10.0 ; python_version >= "3.10" and python_version < "4.0"
nbconvert==7.16.4 ; python_version >= "3.10" and python_version < "4.0"
nbformat==5.10.4 ; python_version >= "3.10" and python_version < "4.0"
nest-asyncio==1.6.0 ; python_version >= "3.10" and python_version < "4.0"
notebook-shim==0.2.4 ; python_version >= "3.10" and python_version < "4.0"
notebook==7.2.2 ; python_version >= "3.10" and python_version < "4.0"
overrides==7.7.0 ; python_version >= "3.10" and python_version < "4.0"
pandocfilters==1.5.1 ; python_version >= "3.10" and python_version < "4.0"
parso==0.8.4 ; python_version >= "3.10" and python_version < "4.0"
pexpect==4.9.0 ; python_version >= "3.10" and python_version < "4.0" and (sys_platform != "win32" and sys_platform != "emscripten")
platformdirs==4.3.6 ; python_version >= "3.10" and python_version < "4.0"
pluggy==1.5.0 ; python_version >= "3.10" and python_version < "4.0"
prometheus-client==0.21.0 ; python_version >= "3.10" and python_version < "4.0"
prompt-toolkit==3.0.48 ; python_version >= "3.10" and python_version < "4.0"
psutil==5.9.8 ; python_version >= "3.10" and python_version < "4.0"
ptyprocess==0.7.0 ; python_version >= "3.10" and python_version < "4.0" and (sys_platform != "win32" and sys_platform != "emscripten" or os_name != "nt")
pure-eval==0.2.3 ; python_version >= "3.10" and python_version < "4.0"
py==1.11.0 ; python_version >= "3.10" and python_version < "4.0"
pycparser==2.22 ; python_version >= "3.10" and python_version < "4.0"
pygments==2.18.0 ; python_version >= "3.10" and python_version < "4.0"
pytest-cov==3.0.0 ; python_version >= "3.10" and python_version < "4.0"
pytest-mock==3.14.0 ; python_version >= "3.10" and python_version < "4.0"
pytest==6.2.5 ; python_version >= "3.10" and python_version < "4.0"
python-json-logger==2.0.7 ; python_version >= "3.10" and python_version < "4.0"
pywin32==308 ; sys_platform == "win32" and platform_python_implementation != "PyPy" and python_version >= "3.10" and python_version < "4.0"
pywinpty==2.0.14 ; python_version >= "3.10" and python_version < "4.0" and os_name == "nt"
pyyaml==6.0.2 ; python_version >= "3.10" and python_version < "4.0"
pyzmq==26.2.0 ; python_version >= "3.10" and python_version < "4.0"
rfc3339-validator==0.1.4 ; python_version >= "3.10" and python_version < "4.0"
rfc3986-validator==0.1.1 ; python_version >= "3.10" and python_version < "4.0"
send2trash==1.8.3 ; python_version >= "3.10" and python_version < "4.0"
setuptools==75.2.0 ; python_version >= "3.10" and python_version < "4.0"
sniffio==1.3.1 ; python_version >= "3.10" and python_version < "4.0"
stack-data==0.6.3 ; python_version >= "3.10" and python_version < "4.0"
terminado==0.18.1 ; python_version >= "3.10" and python_version < "4.0"
tinycss2==1.3.0 ; python_version >= "3.10" and python_version < "4.0"
toml==0.10.2 ; python_version >= "3.10" and python_version < "4.0"
tomli==2.0.2 ; python_full_version <= "3.11.0a6" and python_version >= "3.10"
tornado==6.4.1 ; python_version >= "3.10" and python_version < "4.0"
traitlets==5.14.3 ; python_version >= "3.10" and python_version < "4.0"
types-python-dateutil==2.9.0.20241003 ; python_version >= "3.10" and python_version < "4.0"
typing-extensions==4.12.2 ; python_version >= "3.10" and python_version < "3.12"
uri-template==1.3.0 ; python_version >= "3.10" and python_version < "4.0"
wcwidth==0.2.13 ; python_version >= "3.10" and python_version < "4.0"
webcolors==24.8.0 ; python_version >= "3.10" and python_version < "4.0"
webencodings==0.5.1 ; python_version >= "3.10" and python_version < "4.0"
websocket-client==1.8.0 ; python_version >= "3.10" and python_version < "4.0"
widgetsnbextension==4.0.13 ; python_version >= "3.10" and python_version < "4.0"
